<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.EventMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.Event">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="occurTime" column="occur_time" jdbcType="TIMESTAMP"/>
            <result property="type" column="type" jdbcType="INTEGER"/>
            <result property="location" column="location" jdbcType="VARCHAR"/>
            <result property="description" column="description" jdbcType="VARCHAR"/>
            <result property="photoUrl" column="photo_url" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="CHAR"/>
            <result property="submitterId" column="submitter_id" jdbcType="INTEGER"/>
            <result property="processResult" column="process_result" jdbcType="VARCHAR"/>
            <result property="processTime" column="process_time" jdbcType="TIMESTAMP"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,occur_time,type,
        location,description,photo_url,
        status,submitter_id,process_result,
        process_time,create_time,update_time,
        del_flag
    </sql>
</mapper>
